Package org.apache.tapestry5.internal.services

## Class FormControlNameManagerImpl

- java.lang.Object
- - org.apache.tapestry5.internal.services.FormControlNameManagerImpl

- All Implemented Interfaces:
    `FormControlNameManager`

      public class FormControlNameManagerImpl
      extends java.lang.Object
      implements FormControlNameManager

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FormControlNameManagerImpl​(java.lang.String preselectedFormNames)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Set<java.lang.String>` | `getReservedNames()` | Returns the set of reserved form names (ones that shouldn't be used as HTML elements client ids).
    `boolean` | `isReserved​(java.lang.String name)` | Tells whether a given name is reserved.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FormControlNameManagerImpl

          public FormControlNameManagerImpl​(@Symbol("tapestry.reserved-form-control-names")
                                            java.lang.String preselectedFormNames)

  - ### Method Detail

    - #### getReservedNames

          public java.util.Set<java.lang.String> getReservedNames()

      Description copied from interface: `FormControlNameManager`
      Returns the set of reserved form names (ones that shouldn't be used as HTML elements client ids).
      Specified by:
        `getReservedNames` in interface `FormControlNameManager`
      Returns:
        a `Set` of `String`s.

    - #### isReserved

          public boolean isReserved​(java.lang.String name)

      Description copied from interface: `FormControlNameManager`
      Tells whether a given name is reserved.
      Specified by:
        `isReserved` in interface `FormControlNameManager`